> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openmail.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Update thread

> Update a thread's read status. Use this to mark a thread as read after your agent has processed it, or as unread to re-queue it for later processing.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/threads/{id}
openapi: 3.0.3
info:
  title: OpenMail API
  description: >-
    Email infrastructure API for AI agents. Create inboxes, send and receive
    email, and get real-time notifications via webhooks.
  version: 1.0.0
  license:
    name: Proprietary
servers:
  - url: https://api.openmail.sh
security:
  - bearerAuth: []
tags:
  - name: pods
    description: Isolated sub-accounts for your end users or tenants
  - name: inboxes
    description: Email inboxes and their webhook configuration
  - name: messages
    description: Sending and listing messages
  - name: threads
    description: Conversation threads and read status
  - name: attachments
    description: Downloading and extracting text from attachments
paths:
  /v1/threads/{id}:
    patch:
      tags:
        - threads
      summary: Update thread
      description: >-
        Update a thread's read status. Use this to mark a thread as read after
        your agent has processed it, or as unread to re-queue it for later
        processing.
      operationId: updateThread
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - is_read
              properties:
                is_read:
                  type: boolean
                  description: Set to true to mark as read, false to mark as unread
      responses:
        '200':
          description: Thread updated
          content:
            application/json:
              schema:
                description: Thread updated
                type: object
                additionalProperties: true
                properties:
                  ok:
                    type: boolean
        '404':
          description: Thread not found
          content:
            application/json:
              schema:
                description: Thread not found
                allOf:
                  - $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      additionalProperties: true
      properties:
        error:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````